package com.lightinit.hsdataportal.model;

public class APIShareListModel {

    //resource Id
    private Long id ;

    //共享类型
    private String shareType ;

    //浏览次数
    private Integer viewTimes ;

    //名称
    private String resourceName ;

    //图片
    private String resourceImg ;

    //套餐id
    private Long settingId ;

    private Long publishInfoId ;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getShareType() {
        return shareType;
    }

    public void setShareType(String shareType) {
        this.shareType = shareType;
    }

    public Integer getViewTimes() {
        return viewTimes;
    }

    public void setViewTimes(Integer viewTimes) {
        this.viewTimes = viewTimes;
    }

    public String getResourceName() {
        return resourceName;
    }

    public void setResourceName(String resourceName) {
        this.resourceName = resourceName;
    }

    public Long getSettingId() {
        return settingId;
    }

    public void setSettingId(Long settingId) {
        this.settingId = settingId;
    }

    public Long getPublishInfoId() {
        return publishInfoId;
    }

    public void setPublishInfoId(Long publishInfoId) {
        this.publishInfoId = publishInfoId;
    }

    public String getResourceImg() {
        return resourceImg;
    }

    public void setResourceImg(String resourceImg) {
        this.resourceImg = resourceImg;
    }
}
